=== src/CMakeLists.txt ===
add_subdirectory(datavisualization)
if(TARGET Qt::Quick)
    add_subdirectory(datavisualizationqml)
endif()
