=== tests/CMakeLists.txt ===
if(QT_BUILD_STANDALONE_TESTS)
endif()
qt_build_tests()
