=== tests/manual/CMakeLists.txt ===
if(TARGET Qt::Quick)
    add_subdirectory(qmldynamicdata)
    add_subdirectory(qmlmultitest)
    add_subdirectory(qmlvolume)
    add_subdirectory(qmlperf)
    add_subdirectory(qmlgradient)
    add_subdirectory(qmlheightmap)
    add_subdirectory(qmlbarsrowcolors)
endif()
if(NOT ANDROID AND NOT IOS AND NOT WINRT)
    add_subdirectory(barstest)
    add_subdirectory(scattertest)
    add_subdirectory(surfacetest)
    add_subdirectory(multigraphs)
    add_subdirectory(directional)
    add_subdirectory(itemmodeltest)
    add_subdirectory(volumetrictest)
    add_subdirectory(minimalbars)
    add_subdirectory(minimalscatter)
    add_subdirectory(minimalsurface)
endif()
