## qt6-datavis3d 6.6.2

=== debian/changelog ===
qt6-datavis3d (6.6.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Thu, 06 Jun 2024 18:18:32 +0200

qt6-datavis3d (6.6.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.2).
  * Bump Qt B-Ds to 6.6.2.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.

 -- Patrick Franz <deltaone@debian.org>  Fri, 16 Feb 2024 19:41:00 +0100

qt6-datavis3d (6.6.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.1).
  * Bump Qt B-Ds to 6.6.1.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Remove binary package libqt6datavisualizationqml6.
  * Rename qt6-datavisualization-dev to qt6-datavis3d-dev.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Thu, 21 Dec 2023 01:12:53 +0100
