=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: qt6-datavis3d
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
@@ -10,18 +9,16 @@
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
-               pkg-config,
+               pkgconf,
                pkg-kde-tools,
-               qml6-module-qtquick (>= 6.4.2+dfsg~),
-               qml6-module-qttest (>= 6.4.2+dfsg~),
-               qt6-base-dev (>= 6.4.2+dfsg~),
-               qt6-base-private-dev (>= 6.4.2+dfsg~),
-               qt6-declarative-dev (>= 6.4.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.4.2+dfsg~),
+               qt6-base-dev (>= 6.6.2+dfsg~),
+               qt6-base-private-dev (>= 6.6.2+dfsg~),
+               qt6-declarative-dev (>= 6.6.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.6.2+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Build-Depends-Indep: qt6-base-dev (>= 6.4~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.4~) <!nodoc>,
+Build-Depends-Indep: qt6-base-dev (>= 6.6~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.6~) <!nodoc>,
 Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-datavis3d
@@ -40,37 +37,30 @@
  This package contains a set of APIs to visualize data in 3D as bar, scatter,
  and surface graphs.
 
-Package: libqt6datavisualizationqml6
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${shlibs:Depends},
-Description: Qt 6 Data Visualization QML library
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This package contains the Qt Data Visualization QML support library.
-
 Package: qml6-module-qtdatavisualization
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
 Depends: qml6-module-qtquick, ${misc:Depends}, ${shlibs:Depends},
+Breaks: libqt6datavisualizationqml6,
+Replaces: libqt6datavisualizationqml6,
 Description: Qt 6 Data Visualization QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
  This package contains the Data Visualization QML module for QtDeclarative.
 
-Package: qt6-datavisualization-dev
+Package: qt6-datavis3d-dev
 Provides: libqt6datavisualization6-dev (= ${binary:Version}),
+          qt6-datavisualization-dev (= ${binary:Version}),
 Architecture: any
 Multi-Arch: same
 Section: libdevel
 Breaks: libqt6datavisualization6-dev (<< 6.3.1-3~),
+        qt6-datavisualization-dev (<< 6.6.1-1~),
 Replaces: libqt6datavisualization6-dev (<< 6.3.1-3~),
+          qt6-datavisualization-dev (<< 6.6.1-1~),
 Depends: libqt6datavisualization6 (= ${binary:Version}),
-         libqt6datavisualizationqml6 (= ${binary:Version}),
          qt6-base-dev,
          ${misc:Depends},
 Description: Qt 6 Data Visualization - development files
