## qt6-datavis3d 6.7.2

=== debian/changelog ===
qt6-datavis3d (6.7.2-3) unstable; urgency=medium

  [ Sandro Knauß ]
  * Use dh_qmldeps to detect QML dependencies.
  * Add qml6-module packages to -dev package for QML dependency detection.
  * Use dh-sequence-pkgkde-symbolshelper instead of --with.

  [ Patrick Franz ]
  * Install cmake-files for QmlPlugins.
  * Use correct package name for Build-Depends-Package in symbols-file.

 -- Patrick Franz <deltaone@debian.org>  Fri, 22 Nov 2024 23:22:02 +0100

qt6-datavis3d (6.7.2-2) unstable; urgency=medium

  * Remove virtual dev-packages.

 -- Patrick Franz <deltaone@debian.org>  Sat, 05 Oct 2024 01:37:22 +0200

qt6-datavis3d (6.7.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.7.2).
  * Bump Qt B-Ds to 6.7.2.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sat, 31 Aug 2024 10:18:52 +0200
