## qt6-datavis3d 6.8.0

=== debian/changelog ===
qt6-datavis3d (6.8.0-0deepin) unstable; urgency=medium

  * New upstream release (6.8.0).

 -- lichenggang <lichenggang@deepin.org>  Thu, 07 Nov 2024 17:45:04 +0800
