=== debian/control ===
--- 
+++ 
@@ -5,23 +5,21 @@
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
-               dh-sequence-qmldeps,
-               dh-sequence-pkgkde-symbolshelper,
                libgl-dev,
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
+               pkg-config,
                pkg-kde-tools,
-               pkgconf,
-               qt6-base-dev (>= 6.7.2+dfsg~),
-               qt6-base-private-dev (>= 6.7.2+dfsg~),
-               qt6-declarative-dev (>= 6.7.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.7.2+dfsg~),
+               qt6-base-dev (>= 6.8.0+dfsg~),
+               qt6-base-private-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.0+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Build-Depends-Indep: qt6-base-dev (>= 6.7~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.7~) <!nodoc>,
-Standards-Version: 4.7.0
+Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.8~) <!nodoc>,
+Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-datavis3d
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-datavis3d.git
@@ -43,9 +41,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
+Depends: qml6-module-qtquick, ${misc:Depends}, ${shlibs:Depends},
 Breaks: libqt6datavisualizationqml6,
 Replaces: libqt6datavisualizationqml6,
 Description: Qt 6 Data Visualization QML module
@@ -55,15 +51,16 @@
  This package contains the Data Visualization QML module for QtDeclarative.
 
 Package: qt6-datavis3d-dev
+Provides: libqt6datavisualization6-dev (= ${binary:Version}),
+          qt6-datavisualization-dev (= ${binary:Version}),
 Architecture: any
 Multi-Arch: same
 Section: libdevel
 Breaks: libqt6datavisualization6-dev (<< 6.3.1-3~),
-        qt6-datavisualization-dev (<< 6.6.1-1~),
+        qt6-datavisualization-dev (<< 6.8.0-1~),
 Replaces: libqt6datavisualization6-dev (<< 6.3.1-3~),
-          qt6-datavisualization-dev (<< 6.6.1-1~),
+          qt6-datavisualization-dev (<< 6.8.0-1~),
 Depends: libqt6datavisualization6 (= ${binary:Version}),
-         qml6-module-qtdatavisualization (= ${binary:Version}),
          qt6-base-dev,
          ${misc:Depends},
 Description: Qt 6 Data Visualization - development files
